// -*- C++ -*-
//
// generated by wxGlade 0.7.1 on Sun Oct 16 02:08:53 2016
//
// Example for compiling a single file project under Linux using g++:
//  g++ MyApp.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp
//
// Example for compiling a multi file project under Linux using g++:
//  g++ main.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp Dialog1.cpp Frame1.cpp
//

#include <wx/wx.h>
#include "PasswordDialog.h"

// begin wxGlade: ::extracode
// end wxGlade


PasswordDialog::PasswordDialog(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxDialog(parent, id, title, pos, size, wxDEFAULT_DIALOG_STYLE)
{
    // begin wxGlade: PasswordDialog::PasswordDialog
    m_pPasswordStatic = new wxStaticText(this, wxID_ANY, _("Password for remote server"));
    m_pPasswordText = new wxTextCtrl(this, wxID_ANY, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxTE_PASSWORD|wxTE_PROCESS_TAB);
    m_pOKButton = new wxButton(this, wxID_OK, wxEmptyString);

    set_properties();
    do_layout();
    // end wxGlade
}


void PasswordDialog::set_properties()
{
    // begin wxGlade: PasswordDialog::set_properties
    SetTitle(_("wxvnc - Password Entry"));
    Hide();
    m_pOKButton->SetDefault();
    // end wxGlade
}


void PasswordDialog::do_layout()
{
    // begin wxGlade: PasswordDialog::do_layout
    wxBoxSizer* m_pPasswordSizer = new wxBoxSizer(wxVERTICAL);
    m_pPasswordSizer->Add(m_pPasswordStatic, 0, wxALL, 5);
    m_pPasswordSizer->Add(m_pPasswordText, 0, wxALL|wxEXPAND, 5);
    m_pPasswordSizer->Add(m_pOKButton, 0, wxALIGN_RIGHT|wxALL, 5);
    SetSizer(m_pPasswordSizer);
    m_pPasswordSizer->Fit(this);
    Layout();
    Centre();
    // end wxGlade
}

